﻿using System;
using System.Collections.Generic;
using System.Text;

namespace System.Net.Ssdp
{
    /// <summary>
    /// Represents a client that performs Simple Service Discovery Protocol queries.
    /// </summary>
    public class SsdpClient
    {
        #region Fields - Public
        /// <summary>
        /// Holds the port number used for multicast SSDP queries.
        /// </summary>
        public static readonly int MulticastPort = 1900;
        /// <summary>
        /// Holds the IPv4 address used for link-local multicasting of SSDP queries.
        /// </summary>
        public static readonly IPAddress LinkLocalAddress = IPAddress.Parse("239.255.255.250");
        /// <summary>
        /// Holds the IPv6 address used for link-local multicasting of SSDP queries.
        /// </summary>
        public static readonly IPAddress LinkLocalAddressV6 = IPAddress.Parse("FF02::C");
        #endregion
    }
}
