﻿/* Copyright © 2010 Will Shelley
 * All Rights Reserved. See the license.txt file for more information. */
using System;
using System.Collections.Generic;
using System.Text;

namespace System.Net.UPnP
{
    /// <summary>
    /// Represents a UPnP Control Point.
    /// </summary>
    /// <remarks>
    /// A control point discovers devices.
    /// </remarks>
    public abstract class ControlPoint
    {
        #region Methods
        /// <summary>
        /// Puts the control point in online mode. This triggers anything that happens when the control point is added to the network.
        /// </summary>
        public void Online()
        {
        }
        /// <summary>
        /// Puts the control point in offline mode. This triggers anything that happens when the control point is removed from the network.
        /// </summary>
        public void Offline()
        {

        }
        public void BeginDeviceDiscovery()
        {
        }
        public void EndDeviceDiscovery()
        {
        }
        #endregion
    }
}
